﻿input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}




/*@media (min-width: 1700px) {
    .container.sm {
        max-width: 1690px;
    }

    .container.xl {
        max-width: 1695px;
    }
}*/


html,
body {
    height: 100%;
}

#page-container {
    position: relative;
    min-height: 100vh;
}

#content-wrap {
    padding-bottom: 40px; /* Footer height */
}

#footer {
    min-height: 46px;
}

    #footer > .container {
        position: absolute;
        bottom: 5px;
        left: 0;
        right: 0;
        width: 100%;
        height: 50px; /* Footer height */
    }




.reserve .card-footer {
    background-color: #0471AF;
    color: white;
    padding-top: .5em;
    padding-bottom: .5em;
}

.reserve .card-header {
    background-color: #0471AF;
    color: white;
    padding-top: .5em;
    padding-bottom: .5em;
}

.reserve.card.fullbody {
    min-height: calc(100vh - 100px);
}

.card {
    padding-top: 0em;
    padding-bottom: 0em;
    border-color: darkgrey;
}

.card-default > .card-heading {
    background-color: #0471AF;
    color: white;
    padding-top: 0em;
    padding-bottom: 0em;
}

.card-header {
    background-color: #0471AF;
    color: white;
    padding-top: 0em;
    padding-bottom: 0em;
}

    .card-header a {
        color: white;
    }

.card-default > .card-body {
    padding-top: 0em;
    padding-bottom: 0em;
}

.card-title {
    margin-top: .25em;
    margin-bottom: .25em;
}

.lineitem-card {
    margin-top: 1px;
    padding-top: 0em;
    padding-bottom: 0em;
    margin-left: -15px;
    margin-right: -15px;
    border: 1px;
    border-style: solid;
    border-color: darkgrey;
    margin-top: 1px;
}

    .lineitem-card > .card-header {
        background-color: lightblue;
        color: black;
        padding-top: 0em;
        padding-bottom: 0em;
        padding-left: .5em;
        padding-right: .5em;
        margin: 0px;
    }

    .lineitem-card > .card-body {
        padding-top: .5em;
        padding-bottom: .5em;
        padding-right: .5em;
        padding-left: .5em;
        margin: 0px;
    }

@-webkit-keyframes new-note-card {
    from {
        background-color: lightgreen;
    }

    to {
        background-color: white;
    }
}

/* Standard syntax */
@keyframes new-note-card {
    from {
        background-color: lightgreen;
    }

    to {
        background-color: white;
    }
}

.note-card.new-card.note-private {
    -webkit-animation-name: new-note-card-private; /* Safari 4.0 - 8.0 */
    -webkit-animation-duration: 5s; /* Safari 4.0 - 8.0 */
    animation-name: new-note-card-private;
    animation-duration: 5s;
}

@-webkit-keyframes new-note-card-private {
    from {
        background-color: lightgreen;
    }

    to {
        background-color: lightcoral;
    }
}

/* Standard syntax */
@keyframes new-note-card-private {
    from {
        background-color: lightgreen;
    }

    to {
        background-color: lightcoral;
    }
}


.note-card > .card-heading {
    background-color: red;
    color: white;
    padding-top: 0em;
    padding-bottom: 0em;
}

.note-card > .card-body {
    color: black;
    padding-top: 0em;
    padding-bottom: 0em;
}

.note-card > .card-header {
    background-color: lightgray;
    color: black;
    font-size: x-small;
    padding-top: 0em;
    padding-bottom: 0em;
    margin: 0px;
}

.note-card > .card-footer {
    background-color: lightgray;
    color: black;
    font-size: small;
    padding-top: 0em;
    padding-bottom: 0em;
    margin: 0px;
}

.notice-card {
    color: white;
    margin-top: 1px;
    padding-top: 0em;
    padding-bottom: 0em;
    border: 1px;
    border-style: solid;
    border-color: darkgrey;
    margin-top: 1px;
}

    .notice-card.new-card {
        -webkit-animation-name: new-note-card; /* Safari 4.0 - 8.0 */
        -webkit-animation-duration: 5s; /* Safari 4.0 - 8.0 */
        animation-name: new-note-card;
        animation-duration: 5s;
    }


    .notice-card > .card-heading {
        background-color: red;
        color: white;
        padding-top: 0em;
        padding-bottom: 0em;
    }

    .notice-card > .card-body {
        color: black;
        padding-top: 0em;
        padding-bottom: 0em;
    }

    .notice-card > .card-header {
        background-color: #0471AF;
        color: white;
        /*font-size: x-small;*/
        font-weight: bolder;
        padding-top: 0em;
        padding-bottom: 0em;
        margin: 0px;
    }

    .notice-card > .card-footer {
        background-color: lightgray;
        color: black;
        font-size: small;
        padding-top: 0em;
        padding-bottom: 0em;
        margin: 0px;
    }

.sched-table {
    margin-top: 2px;
    width: 95%;
    border: 1px solid #0471AF;
}

    .sched-table th {
        background-color: #0471AF;
        color: white;
        padding-top: 2px;
        padding-bottom: 2px;
    }

    .sched-table td {
        border: 1px solid gray;
    }

#top {
    /*margin-bottom:-35px;
    z-index:1;*/
}

.otherRoom {
    height: 100%;
    display: inline-flex;
    float: right;
}

    .otherRoom > i {
        position: relative;
        top: calc(50% - 10px);
    }


.navbar-dark {
    background-color: #0471AF;
}

    .navbar-dark .navbar-nav > li > a {
        color: #e0e0e0 !important;
    }

        .navbar-dark .navbar-nav > li > a.active {
            color: white !important;
        }

    .navbar-dark .navbar-nav .res > li > a {
        color: rgba(255,255,255,.5) !important;
    }

    .navbar-dark .navbar-brand {
        color: white !important;
    }

.navbar-brand {
    background-color: white;
}


.prodHeader {
    background-color: #0471AF;
    color: white;
}

.roomSectionHeader {
    background-color: #0471AF;
    color: white;
}

.roomRow {
    /*border: 1px solid grey;*/
}


    .roomRow:nth-child(odd) {
        background: #f6f6f6;
    }

    .roomRow:nth-child(even) {
        /*background: #eaeaea;*/
        background: #ccc;
    }


.room-pill {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    color: #007bff;
    border-color: #007bff;
}

#mdMultipleDataTable tbody tr:hover {
    cursor: pointer;
    background-color: #ccc;
}


.estimate-line {
    background-color: #f5f5f5
}

.qrcode {
    width: 100px;
}

.addprodWarning {
    color: red;
    font-size: small;
    font-weight: bold;
}

@media print {

    .container {
        max-width: inherit !important;
        padding: 10px !important;
        font-size: 14pt;
    }

    .qrcode {
        width: 150px;
    }

    .print-100 {
        max-width: inherit !important;
        padding: 0 !important;
    }

    .col-print-auto {
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: auto;
        max-width: 100%;
    }

    .col-print-1 {
        width: 8%;
        float: left;
    }

    .col-print-2 {
        width: 16%;
        float: left;
    }

    .col-print-3 {
        width: 25%;
        float: left;
    }

    .col-print-4 {
        width: 33%;
        float: left;
    }

    .col-print-5 {
        width: 42%;
        float: left;
    }

    .col-print-6 {
        width: 50%;
        float: left;
    }

    .col-print-7 {
        width: 58%;
        float: left;
    }

    .col-print-8 {
        width: 66%;
        float: left;
    }

    .col-print-9 {
        width: 75%;
        float: left;
    }

    .col-print-10 {
        width: 83%;
        float: left;
    }

    .col-print-11 {
        width: 92%;
        float: left;
    }

    .col-print-12 {
        width: 100%;
        float: left;
    }
}

.jdPhoto-sm {
    max-height: 400px
}

.jdPhoto-lg {
    max-height: calc(100vh - 250px);
}


.prodRec label:after {
    color: red;
    content: "* ";
}


.body-content {
    width: 100%
}

.addProductBtn {
    float: right;
    margin-right: 30px;
}

@media (max-width: 576px) {
    .container.sm {
        width: 100% !important;
        padding-right: 0px !important;
        padding-left: 0px !important;

    }

    .container.xl {
        width: 100%;
        padding-right: 0px;
        padding-left: 0px;
    }
    .addProductBtn {
        float: right;
        margin-right: 0px;
    }
}

@media (min-width: 768px) {
    .container.sm {
        max-width: 758px;
    }

    .container.xl {
        max-width: 753px;
    }

    
}

@media (min-width: 992px) {
    .container.sm {
        max-width: 982px;
    }

    .container.xl {
        max-width: 987px;
    }
    
}

@media (min-width: 1200px) {
    .container.sm {
        max-width: 1190px;
    }

    .container.xl {
        max-width: 1195px;
    }
}

@media (min-width: 1500px) {
    .container.sm {
        max-width: calc(100vw - 10px);
    }

    .container.xl {
        max-width: calc(100vw - 5px);
    }
}





@media (max-width: 560px) {
    .d-xs-none {
        display: none !important;
    }

    .d-xs-inline {
        display: inline !important;
    }

    .d-xs-inline-block {
        display: inline-block !important;
    }

    .d-xs-block {
        display: block !important;
    }

    .d-xs-table {
        display: table !important;
    }

    .d-xs-table-row {
        display: table-row !important;
    }

    .d-xs-table-cell {
        display: table-cell !important;
    }

    .d-xs-flex {
        display: -ms-flexbox !important;
        display: flex !important;
    }

    .d-xs-inline-flex {
        display: -ms-inline-flexbox !important;
        display: inline-flex !important;
    }
}

/*style=""*/

.menuItemUserIcon {
    font-size: 24px;
    color: white;
}
